Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226287 - Merge Review: perl-XML-LibXML
Summary: Merge Review: perl-XML-LibXML
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:38 UTC by Nobody's working on this, feel free to take it
Modified: 2012-02-23 14:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 10:38:47 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:38:47 UTC
Fedora Merge Review: perl-XML-LibXML

http://cvs.fedora.redhat.com/viewcvs/devel/perl-XML-LibXML/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-22 09:04:03 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 2:5.8.0
2)drop "|| :" from %check
3)you may like to use simple disttag like "2%{?dist}"
4)you may like to use Source URL as 
http://www.cpan.org/authors/id/P/PA/PAJAS/XML-LibXML-%{version}.tar.gz
5)rpmlint on SRPM and RPM gave me->
perl-XML-LibXML.i386: W: file-not-utf8
/usr/share/doc/perl-XML-LibXML-1.62001/Changes
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).
==> Use iconv command on that file 

perl-XML-LibXML.i386: W: dangerous-command-in-%preun perl
perl-XML-LibXML.i386: W: dangerous-command-in-%trigger perl
==>rpmlint suggested not to use perl command but is this some kind of workaround
for some problem?

6)make test skipped one test =>
t/11memory....................ok
        26/26 skipped: developers only (set MEMORY_TEST=1 to run these tests)
make test should run all tests.


Comment 2 Robin Norwood 2007-10-25 21:47:50 UTC
I've updated to the latest upstream version, 1.65.

perl-XML-LibXML-1.65-1.fc9 should fix issues 1-5.

For #6 - I think we generally don't run author/developer tests.  In this case,
the memory test at least seems to take a very long time.  Similarly, 1.65 adds a
threads test which also takes a long time.  I recommend we leave both of these out.

Comment 3 Parag AN(पराग) 2007-10-26 04:44:03 UTC
rpmlint gave me 
perl-XML-LibXML.i386: W: dangerous-command-in-%preun perl
perl-XML-LibXML.i386: W: dangerous-command-in-%trigger perl
If you feel its necessary for this package then I can approve this package with
those warnings. 


Comment 4 Robin Norwood 2007-10-26 16:44:13 UTC
Yes, there's not really any other way to do this - registration of the parsers
is required at install/uninstall time.  It's pretty nasty, though, and I wish
there were a better way.

Comment 5 Parag AN(पराग) 2007-10-27 01:36:13 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM But not for RPM.
perl-XML-LibXML.i386: W: dangerous-command-in-%preun perl
perl-XML-LibXML.i386: W: dangerous-command-in-%trigger perl
+ source files match upstream url
7871c21078f706690cda9ca68d4ddac6  XML-LibXML-1.65.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01basic.....................

Compiled against libxml2 version: 20630
Running libxml2 version:          20630

ok
t/02parse.....................ok
t/03doc.......................ok
t/04node......................ok
t/05text......................ok
t/06elements..................ok
t/07dtd.......................ok
t/08findnodes.................ok
t/09xpath.....................ok
t/10ns........................ok
t/11memory....................ok
        26/26 skipped: developers only (set MEMORY_TEST=1 to run these tests)
t/12html......................ok
t/13dtd.......................ok
t/14sax.......................ok
t/15nodelist..................ok
t/16docnodes..................ok
t/17callbacks.................ok
t/18docfree...................ok
t/19encoding..................ok
t/20extras....................ok
t/23rawfunctions..............ok
t/24c14n......................ok
t/25relaxng...................ok
t/26schema....................ok
t/27new_callbacks_simple......ok
t/28new_callbacks_multiple....ok
t/29id........................ok
t/30xpathcontext..............ok
t/31xpc_functions.............ok
t/32xpc_variables.............ok
t/40reader....................ok
t/41xinclude..................ok
t/90threads...................ok
        14/14 skipped: optional (set THREAD_TEST=1 to run these tests)
All tests successful, 40 subtests skipped.
Files=33, Tests=1805,  3 wallclock secs ( 3.09 cusr +  0.47 csys =  3.56 CPU)
+ Package perl-XML-LibXML-1.65-1.fc8 ->
  Provides: LibXML.so perl(XML::LibXML) = 1.65 perl(XML::LibXML::Attr)
perl(XML::LibXML::Boolean) = 1.65 perl(XML::LibXML::CDATASection)
perl(XML::LibXML::Comment) perl(XML::LibXML::Document)
perl(XML::LibXML::DocumentFragment) perl(XML::LibXML::Dtd)
perl(XML::LibXML::Element) perl(XML::LibXML::InputCallback)
perl(XML::LibXML::Literal) = 1.65 perl(XML::LibXML::NamedNodeMap)
perl(XML::LibXML::Namespace) perl(XML::LibXML::Node) perl(XML::LibXML::NodeList)
= 1.65 perl(XML::LibXML::Number) = 1.65 perl(XML::LibXML::PI)
perl(XML::LibXML::Reader) = 1.65 perl(XML::LibXML::RelaxNG)
perl(XML::LibXML::SAX) = 1.65 perl(XML::LibXML::SAX::AttributeNode)
perl(XML::LibXML::SAX::Builder) = 1.65 perl(XML::LibXML::SAX::Generator) = 1.65
perl(XML::LibXML::SAX::Parser) = 1.65 perl(XML::LibXML::Schema)
perl(XML::LibXML::Text) perl(XML::LibXML::XPathContext) = 1.65
perl(XML::LibXML::_SAXParser)
  Requires: /bin/sh libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.4) libm.so.6 libpthread.so.0 libpthread.so.0(GLIBC_2.0)
libxml2.so.2 libz.so.1 perl >= 1:5.8.0 perl(:MODULE_COMPAT_5.8.8)
perl(:WITH_ITHREADS) perl(:WITH_LARGEFILES) perl(:WITH_THREADS) perl(Carp)
perl(DynaLoader) perl(Exporter) perl(IO::File) perl(IO::Handle)
perl(XML::LibXML) perl(XML::LibXML::Boolean) perl(XML::LibXML::Common)
perl(XML::LibXML::Literal) perl(XML::LibXML::NodeList) perl(XML::LibXML::Number)
perl(XML::LibXML::XPathContext) perl(XML::NamespaceSupport) perl(XML::SAX::Base)
perl(XML::SAX::DocumentLocator) perl(XML::SAX::Exception) perl(base)
perl(constant) perl(overload) perl(strict) perl(vars) perl(warnings) rtld(GNU_HASH)


 APPROVED.


Comment 6 Parag AN(पराग) 2007-11-11 07:04:15 UTC
Can we CLOSE this review if package is already built and in rawhide?

Comment 7 Petr Pisar 2012-02-23 08:01:13 UTC
Package Change Request
======================
Package Name: 
Branches: f15 f16 f17
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only into all Fedora branches.

Comment 8 Gwyn Ciesla 2012-02-23 13:27:26 UTC
Done, please include the package name in the future.

Comment 9 Petr Pisar 2012-02-23 13:38:51 UTC
Package Change Request
======================
Package Name: perl-XML-LibXML
Branches: f17
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only into F17 branch too. You seem to omit it.

Comment 10 Gwyn Ciesla 2012-02-23 14:04:24 UTC
Whoops.  Done.


Note You need to log in before you can comment on or make changes to this bug.